import { stringify } from 'qs';
import { request } from '@umijs/max';
import webpath from '@/utils/webPath';


export async function deleteByPrimaryKeyForProAuthority(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/proauthority/delete?${stringify(params)}`);
}


export async function selectByPrimaryKeyForProAuthority(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/proauthority/get?${stringify(params)}`);
}


export async function insertForProAuthority(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/proauthority/insert`, {
        method: 'POST',
        data: {
            ...params,
            method: 'insert',
        },
    });
}


export async function updateForProAuthority(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/proauthority/update`, {
        method: 'POST',
        data: {
            ...params,
            method: 'update',
        },
    });
}


export async function deleteByMapForProAuthority(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/proauthority/deleteByMap`, {
        method: 'POST',
        data: {
            ...params,
            method: 'delete',
        },
    });
}


export async function updateByMapForProAuthority(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/proauthority/updateByMap`, {
        method: 'POST',
        data: {
            ...params,
            method: 'update',
        },
    });
}


export async function getOneForProAuthority(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/proauthority/getOne`, {
        method: 'POST',
        data: {
            ...params,
            method: 'fetch',
        },
    });
}



export async function getAllForProAuthority(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/proauthority/getAll`, {
        method: 'POST',
        data: {
            ...params,
            method: 'fetch',
        },
    });
}


export async function queryPageForProAuthority(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/proauthority/queryPage`, {
        method: 'POST',
        data: {
            ...params,
            method: 'fetch',
        },
    });
}


export async function countForProAuthority(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/proauthority/count`, {
        method: 'POST',
        data: {
            ...params,
            method: 'fetch',
        },
    });
}

export async function insertBatchForProAuthority(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/proauthority/insertBatch`, {
        method: 'POST',
        data: {
            ...params,
            method: 'insert',
        },
    });
}


export async function deleteBatchForProAuthority(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/proauthority/deleteBatch`, {
        method: 'POST',
        data: {
            ...params,
            method: 'delete',
        },
    });
}


export async function updateBatchForProAuthority(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/proauthority/updateBatch`, {
        method: 'POST',
        data: {
            ...params,
            method: 'update',
        },
    });
}
